Bug 469333 - cannot connect via xen+ssh
cannot connect via xen+ssh
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 07:19 EDT by Jakub Hrozek
Modified: 2009-12-14 16:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 10:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2008-10-31 07:19:59 EDT
Description of problem:
With virt-manager 0.5.3-10, I cannot connect to a Xen hypervisor via xen+ssh. I always get the following traceback:

---
Fri, 31 Oct 2008 12:02:35 virt-manager 4411] ERROR (connection:369) Unable to open connection to hypervisor URI 'xen+ssh://root@dhcp-lab-135/':
libvirt.libvirtError virConnectOpenReadOnly() failed Connection reset by peer
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 351, in _open_thread
    self.vmm = libvirt.openReadOnly(self.uri)
  File "/usr/lib/python2.4/site-packages/libvirt.py", line 132, in openReadOnly
    if ret is None:raise libvirtError('virConnectOpenReadOnly() failed')
libvirtError: virConnectOpenReadOnly() failed Connection reset by peer
---

What's weird is that I can connect just fine with plain CLI virsh:
---
# virsh --connect xen+ssh://dhcp-lab-135
IRC #brno: dkovalsk, ebenes

root@dhcp-lab-135's password:
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh #
---


Version-Release number of selected component (if applicable):
virt-manager-0.5.3-10.el5

How reproducible:
always

Steps to Reproduce:
1. launch virt-manager, try to connect to a hypervisor via xen+ssh
  
Actual results:
traceback

Expected results:
open connection

Additional info:
$ rpm -qa \*virt\*
libvirt-python-0.3.3-14.el5
virt-manager-0.5.3-10.el5
libvirt-0.3.3-14.el5
python-virtinst-0.300.2-11.el5
Comment 1 Cole Robinson 2009-03-18 17:05:52 EDT
Do you still see this issue with stock 5.3? ssh connections work for me.

Are you running virt-manager over an ssh connection, or after having used su or sudo? Sometimes this can cause issues.

Can you see if running 'virt-manager --no-fork' from the command line and reproducing, seeing if any interesting error message shows up?

Finally, if none of that helps, please post ~/.virt-manager/virt-manager.log.
Comment 2 Cole Robinson 2009-04-23 11:48:05 EDT
Ping, can you provide the info in Comment #1?
Comment 3 Cole Robinson 2009-05-28 10:38:24 EDT
Closing as WORKSFORME. If you can still reproduce, please provide the info requested in comment #1.

Note You need to log in before you can comment on or make changes to this bug.